Referência da APIMatches
Reconcile records by hand
Authorization
apiKey AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
ruleset_id*string
Relationship the match belongs to; the records count as reconciled for this ruleset only
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Format
uuidleft*array<>|null
right*array<>|null
note?string
Length
length <= 1000Response Body
application/json
application/problem+json
curl -X POST "https://example.com/v1/matches" \ -H "Content-Type: application/json" \ -d '{ "ruleset_id": "ca688a19-2766-4b2c-aefa-28d16a464773", "left": [ { "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0", "record_id": -9007199254740991 } ], "right": [ { "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0", "record_id": -9007199254740991 } ] }'{ "id": -9007199254740991, "ruleset_id": "string", "status": "matched", "kind": "1:1", "strategy": "pair", "amount_diff": -9007199254740991, "expected_count": -9007199254740991, "score": 0, "step": -9007199254740991, "pass": -9007199254740991, "job_id": "string", "note": "string", "decided_at": "2019-08-24T14:15:22Z", "breakdown": { "property1": 0, "property2": 0 }, "left": [ { "dataset_id": "string", "record_id": -9007199254740991, "external_id": "string", "values": { "property1": null, "property2": null } } ], "right": [ { "dataset_id": "string", "record_id": -9007199254740991, "external_id": "string", "values": { "property1": null, "property2": null } } ], "created_at": "2019-08-24T14:15:22Z"}
